/*===========================================================================*/
/*   (Eval/evenv.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Eval/evenv.scm -indent -o objs/obj_u/Eval/evenv.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__definezd2primopz12zc0zz__evenvz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00();
BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__evalzd2globalzd2tagz00zz__evenvz00(obj_t, obj_t);
static obj_t BGl__evalzd2lookupzd2zz__evenvz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evenvz00();
static obj_t BGl__definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t, obj_t);
static obj_t BGl__evalzd2globalzd2namez00zz__evenvz00(obj_t, obj_t);
static obj_t BGl__unbindzd2primopz12zc0zz__evenvz00(obj_t, obj_t);
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t);
static obj_t BGl__evalzd2globalzd2valuez00zz__evenvz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00();
BGL_EXPORTED_DECL obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t);
static obj_t BGl__bindzd2evalzd2globalz12z12zz__evenvz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1738z00zz__evenvz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t);
static obj_t BGl_symbol1737z00zz__evenvz00 = BUNSPEC;
static obj_t BGl_symbol1736z00zz__evenvz00 = BUNSPEC;
static obj_t BGl__evalzd2globalzf3z21zz__evenvz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evenvz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t, obj_t);
static obj_t BGl__setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__initzd2thezd2globalzd2environmentz12zc0zz__evenvz00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_definezd2primopzd2refz12zd2envzc0zz__evenvz00, BgL_bgl__defineza7d2primopza7d2refza712za712za7za7__evenvza7001744za7, BGl__definezd2primopzd2refz12z12zz__evenvz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2evalzd2globalzd2valuez12zd2envz12zz__evenvz00, BgL_bgl__setza7d2evalza7d2globalza7d2valueza712za7c0za7za7__evenvza7001745z00, BGl__setzd2evalzd2globalzd2valuez12zc0zz__evenvz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_evalzd2globalzf3zd2envzf3zz__evenvz00, BgL_bgl__evalza7d2globalza7f3za721za7za7__evenvza7001746z00, BGl__evalzd2globalzf3z21zz__evenvz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_evalzd2lookupzd2envz00zz__evenvz00, BgL_bgl__evalza7d2lookupza7d2za7za7__evenvza7001747za7, BGl__evalzd2lookupzd2zz__evenvz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_initzd2thezd2globalzd2environmentz12zd2envz12zz__evenvz00, BgL_bgl__initza7d2theza7d2globalza7d2environmentza712za7c0za7za7__evenvza7001748z00, BGl__initzd2thezd2globalzd2environmentz12zc0zz__evenvz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_bindzd2evalzd2globalz12zd2envzc0zz__evenvz00, BgL_bgl__bindza7d2evalza7d2globalza712za712za7za7__evenvza7001749za7, BGl__bindzd2evalzd2globalz12z12zz__evenvz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_definezd2primopz12zd2envz12zz__evenvz00, BgL_bgl__defineza7d2primopza712za7c0za7za7__evenvza7001750z00, BGl__definezd2primopz12zc0zz__evenvz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_evalzd2globalzd2namezd2envzd2zz__evenvz00, BgL_bgl__evalza7d2globalza7d2nameza700za7za7__evenvza7001751z00, BGl__evalzd2globalzd2namez00zz__evenvz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_evalzd2globalzd2valuezd2envzd2zz__evenvz00, BgL_bgl__evalza7d2globalza7d2valueza700za7za7__evenvza7001752z00, BGl__evalzd2globalzd2valuez00zz__evenvz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unbindzd2primopz12zd2envz12zz__evenvz00, BgL_bgl__unbindza7d2primopza712za7c0za7za7__evenvza7001753z00, BGl__unbindzd2primopz12zc0zz__evenvz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_evalzd2globalzd2tagzd2envzd2zz__evenvz00, BgL_bgl__evalza7d2globalza7d2tagza700za7za7__evenvza7001754z00, BGl__evalzd2globalzd2tagz00zz__evenvz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long BgL_checksumz00_629, char * BgL_fromz00_630)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evenvz00))
{ 
BGl_requirezd2initializa7ationz75zz__evenvz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__evenvz00(); 
BGl_importedzd2moduleszd2initz00zz__evenvz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evenvz00()
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 14 */
BGl_symbol1736z00zz__evenvz00 = 
string_to_symbol("nothing"); 
BGl_symbol1737z00zz__evenvz00 = 
string_to_symbol("_0000"); 
return ( 
BGl_symbol1738z00zz__evenvz00 = 
string_to_symbol("_0000_assert"), BUNSPEC) ;} 
}



/* init-the-global-environment! */
BGL_EXPORTED_DEF obj_t BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00()
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 74 */
return BGl_symbol1736z00zz__evenvz00;} 
}



/* _init-the-global-environment! */
obj_t BGl__initzd2thezd2globalzd2environmentz12zc0zz__evenvz00(obj_t BgL_envz00_596)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 74 */
return BGl_symbol1736z00zz__evenvz00;} 
}



/* bind-eval-global! */
BGL_EXPORTED_DEF obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t BgL_namez00_1, obj_t BgL_varz00_2)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 80 */
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_namez00_1, BGl_symbol1737z00zz__evenvz00, BgL_varz00_2);} 
}



/* _bind-eval-global! */
obj_t BGl__bindzd2evalzd2globalz12z12zz__evenvz00(obj_t BgL_envz00_597, obj_t BgL_namez00_598, obj_t BgL_varz00_599)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 80 */
return 
BGl_bindzd2evalzd2globalz12z12zz__evenvz00(BgL_namez00_598, BgL_varz00_599);} 
}



/* unbind-primop! */
BGL_EXPORTED_DEF obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t BgL_namez00_5)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 92 */
return 
BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_namez00_5, BGl_symbol1737z00zz__evenvz00);} 
}



/* _unbind-primop! */
obj_t BGl__unbindzd2primopz12zc0zz__evenvz00(obj_t BgL_envz00_600, obj_t BgL_namez00_601)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 92 */
return 
BGl_unbindzd2primopz12zc0zz__evenvz00(BgL_namez00_601);} 
}



/* define-primop! */
BGL_EXPORTED_DEF obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t BgL_varz00_7, obj_t BgL_valz00_8)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 104 */
{ /* ./Eval/evenv.scm 105 */
obj_t BgL_cellz00_368;
{ /* ./Eval/evenv.scm 105 */
obj_t BgL_propz00_528;
BgL_propz00_528 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_7, BGl_symbol1738z00zz__evenvz00); 
if(
CBOOL(BgL_propz00_528))
{ /* ./Eval/evenv.scm 105 */
BgL_cellz00_368 = BgL_propz00_528; }  else 
{ /* ./Eval/evenv.scm 105 */
obj_t BgL_propz00_529;
BgL_propz00_529 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_7, BGl_symbol1737z00zz__evenvz00); 
if(
CBOOL(BgL_propz00_529))
{ /* ./Eval/evenv.scm 105 */
BgL_cellz00_368 = BgL_propz00_529; }  else 
{ /* ./Eval/evenv.scm 105 */
BgL_cellz00_368 = BFALSE; } } } 
{ /* ./Eval/evenv.scm 106 */
bool_t BgL_test1011z00_369;
if(
VECTORP(BgL_cellz00_368))
{ /* ./Eval/evenv.scm 106 */
int BgL_arg1042z00_532;
BgL_arg1042z00_532 = 
VECTOR_LENGTH(BgL_cellz00_368); 
{ /* ./Eval/evenv.scm 106 */
long BgL_auxz00_652;
BgL_auxz00_652 = 
(long)(BgL_arg1042z00_532); 
BgL_test1011z00_369 = 
(BgL_auxz00_652==((long)3)); } }  else 
{ /* ./Eval/evenv.scm 106 */
BgL_test1011z00_369 = ((bool_t)0); } 
if(BgL_test1011z00_369)
{ 
int BgL_auxz00_656;
BgL_auxz00_656 = 
(int)(((long)2)); 
return 
VECTOR_SET(BgL_cellz00_368,BgL_auxz00_656,BgL_valz00_8);}  else 
{ /* ./Eval/evenv.scm 107 */
obj_t BgL_arg1014z00_370;
{ /* ./Eval/evenv.scm 107 */
obj_t BgL_v1003z00_371;
{ 
int BgL_auxz00_659;
BgL_auxz00_659 = 
(int)(((long)3)); 
BgL_v1003z00_371 = 
create_vector(BgL_auxz00_659); } 
{ 
int BgL_auxz00_662;
BgL_auxz00_662 = 
(int)(((long)2)); 
VECTOR_SET(BgL_v1003z00_371,BgL_auxz00_662,BgL_valz00_8); } 
{ 
int BgL_auxz00_665;
BgL_auxz00_665 = 
(int)(((long)1)); 
VECTOR_SET(BgL_v1003z00_371,BgL_auxz00_665,BgL_varz00_7); } 
{ 
obj_t BgL_auxz00_670;int BgL_auxz00_668;
BgL_auxz00_670 = 
BINT(((long)0)); 
BgL_auxz00_668 = 
(int)(((long)0)); 
VECTOR_SET(BgL_v1003z00_371,BgL_auxz00_668,BgL_auxz00_670); } 
BgL_arg1014z00_370 = BgL_v1003z00_371; } 
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_7, BGl_symbol1737z00zz__evenvz00, BgL_arg1014z00_370);} } } } 
}



/* _define-primop! */
obj_t BGl__definezd2primopz12zc0zz__evenvz00(obj_t BgL_envz00_602, obj_t BgL_varz00_603, obj_t BgL_valz00_604)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 104 */
return 
BGl_definezd2primopz12zc0zz__evenvz00(BgL_varz00_603, BgL_valz00_604);} 
}



/* define-primop-ref! */
BGL_EXPORTED_DEF obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t BgL_varz00_9, obj_t BgL_addrz00_10)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 113 */
{ /* ./Eval/evenv.scm 114 */
bool_t BgL_test1022z00_554;
{ /* ./Eval/evenv.scm 114 */
obj_t BgL_propz00_558;
BgL_propz00_558 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_9, BGl_symbol1738z00zz__evenvz00); 
if(
CBOOL(BgL_propz00_558))
{ /* ./Eval/evenv.scm 114 */
BgL_test1022z00_554 = 
CBOOL(BgL_propz00_558); }  else 
{ /* ./Eval/evenv.scm 114 */
obj_t BgL_propz00_559;
BgL_propz00_559 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_9, BGl_symbol1737z00zz__evenvz00); 
if(
CBOOL(BgL_propz00_559))
{ /* ./Eval/evenv.scm 114 */
BgL_test1022z00_554 = 
CBOOL(BgL_propz00_559); }  else 
{ /* ./Eval/evenv.scm 114 */
BgL_test1022z00_554 = ((bool_t)0); } } } 
if(BgL_test1022z00_554)
{ /* ./Eval/evenv.scm 114 */
return BFALSE;}  else 
{ /* ./Eval/evenv.scm 114 */
obj_t BgL_arg1024z00_555;
{ /* ./Eval/evenv.scm 114 */
obj_t BgL_v1004z00_556;
{ 
int BgL_auxz00_684;
BgL_auxz00_684 = 
(int)(((long)3)); 
BgL_v1004z00_556 = 
create_vector(BgL_auxz00_684); } 
{ 
int BgL_auxz00_687;
BgL_auxz00_687 = 
(int)(((long)2)); 
VECTOR_SET(BgL_v1004z00_556,BgL_auxz00_687,BgL_addrz00_10); } 
{ 
int BgL_auxz00_690;
BgL_auxz00_690 = 
(int)(((long)1)); 
VECTOR_SET(BgL_v1004z00_556,BgL_auxz00_690,BgL_varz00_9); } 
{ 
obj_t BgL_auxz00_695;int BgL_auxz00_693;
BgL_auxz00_695 = 
BINT(((long)1)); 
BgL_auxz00_693 = 
(int)(((long)0)); 
VECTOR_SET(BgL_v1004z00_556,BgL_auxz00_693,BgL_auxz00_695); } 
BgL_arg1024z00_555 = BgL_v1004z00_556; } 
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_9, BGl_symbol1737z00zz__evenvz00, BgL_arg1024z00_555);} } } 
}



/* _define-primop-ref! */
obj_t BGl__definezd2primopzd2refz12z12zz__evenvz00(obj_t BgL_envz00_605, obj_t BgL_varz00_606, obj_t BgL_addrz00_607)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 113 */
return 
BGl_definezd2primopzd2refz12z12zz__evenvz00(BgL_varz00_606, BgL_addrz00_607);} 
}



/* eval-lookup */
BGL_EXPORTED_DEF obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t BgL_varz00_13)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 126 */
{ /* ./Eval/evenv.scm 127 */
obj_t BgL_propz00_571;
BgL_propz00_571 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_13, BGl_symbol1738z00zz__evenvz00); 
if(
CBOOL(BgL_propz00_571))
{ /* ./Eval/evenv.scm 127 */
return BgL_propz00_571;}  else 
{ /* ./Eval/evenv.scm 127 */
obj_t BgL_propz00_572;
BgL_propz00_572 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_13, BGl_symbol1737z00zz__evenvz00); 
if(
CBOOL(BgL_propz00_572))
{ /* ./Eval/evenv.scm 127 */
return BgL_propz00_572;}  else 
{ /* ./Eval/evenv.scm 127 */
return BFALSE;} } } } 
}



/* _eval-lookup */
obj_t BGl__evalzd2lookupzd2zz__evenvz00(obj_t BgL_envz00_608, obj_t BgL_varz00_609)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 126 */
return 
BGl_evalzd2lookupzd2zz__evenvz00(BgL_varz00_609);} 
}



/* eval-global? */
BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t BgL_variablez00_14)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 138 */
if(
VECTORP(BgL_variablez00_14))
{ /* ./Eval/evenv.scm 139 */
int BgL_arg1042z00_621;
BgL_arg1042z00_621 = 
VECTOR_LENGTH(BgL_variablez00_14); 
{ /* ./Eval/evenv.scm 139 */
bool_t BgL_auxz00_710;
{ /* ./Eval/evenv.scm 139 */
long BgL_auxz00_711;
BgL_auxz00_711 = 
(long)(BgL_arg1042z00_621); 
BgL_auxz00_710 = 
(BgL_auxz00_711==((long)3)); } 
return 
BBOOL(BgL_auxz00_710);} }  else 
{ /* ./Eval/evenv.scm 139 */
return BFALSE;} } 
}



/* _eval-global? */
obj_t BGl__evalzd2globalzf3z21zz__evenvz00(obj_t BgL_envz00_610, obj_t BgL_variablez00_611)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 138 */
if(
VECTORP(BgL_variablez00_611))
{ /* ./Eval/evenv.scm 139 */
int BgL_arg1042z00_623;
BgL_arg1042z00_623 = 
VECTOR_LENGTH(BgL_variablez00_611); 
{ /* ./Eval/evenv.scm 139 */
bool_t BgL_auxz00_718;
{ /* ./Eval/evenv.scm 139 */
long BgL_auxz00_719;
BgL_auxz00_719 = 
(long)(BgL_arg1042z00_623); 
BgL_auxz00_718 = 
(BgL_auxz00_719==((long)3)); } 
return 
BBOOL(BgL_auxz00_718);} }  else 
{ /* ./Eval/evenv.scm 139 */
return BFALSE;} } 
}



/* eval-global-tag */
BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t BgL_evalzd2globalzd2_15)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 146 */
{ 
int BgL_auxz00_723;
BgL_auxz00_723 = 
(int)(((long)0)); 
return 
VECTOR_REF(BgL_evalzd2globalzd2_15,BgL_auxz00_723);} } 
}



/* _eval-global-tag */
obj_t BGl__evalzd2globalzd2tagz00zz__evenvz00(obj_t BgL_envz00_612, obj_t BgL_evalzd2globalzd2_613)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 146 */
{ 
int BgL_auxz00_726;
BgL_auxz00_726 = 
(int)(((long)0)); 
return 
VECTOR_REF(BgL_evalzd2globalzd2_613,BgL_auxz00_726);} } 
}



/* eval-global-name */
BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t BgL_evalzd2globalzd2_16)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 152 */
{ 
int BgL_auxz00_729;
BgL_auxz00_729 = 
(int)(((long)1)); 
return 
VECTOR_REF(BgL_evalzd2globalzd2_16,BgL_auxz00_729);} } 
}



/* _eval-global-name */
obj_t BGl__evalzd2globalzd2namez00zz__evenvz00(obj_t BgL_envz00_614, obj_t BgL_evalzd2globalzd2_615)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 152 */
{ 
int BgL_auxz00_732;
BgL_auxz00_732 = 
(int)(((long)1)); 
return 
VECTOR_REF(BgL_evalzd2globalzd2_615,BgL_auxz00_732);} } 
}



/* eval-global-value */
BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t BgL_evalzd2globalzd2_17)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 158 */
{ 
int BgL_auxz00_735;
BgL_auxz00_735 = 
(int)(((long)2)); 
return 
VECTOR_REF(BgL_evalzd2globalzd2_17,BgL_auxz00_735);} } 
}



/* _eval-global-value */
obj_t BGl__evalzd2globalzd2valuez00zz__evenvz00(obj_t BgL_envz00_616, obj_t BgL_evalzd2globalzd2_617)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 158 */
{ 
int BgL_auxz00_738;
BgL_auxz00_738 = 
(int)(((long)2)); 
return 
VECTOR_REF(BgL_evalzd2globalzd2_617,BgL_auxz00_738);} } 
}



/* set-eval-global-value! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t BgL_evalzd2globalzd2_18, obj_t BgL_valuez00_19)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 164 */
{ 
int BgL_auxz00_741;
BgL_auxz00_741 = 
(int)(((long)2)); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_18,BgL_auxz00_741,BgL_valuez00_19);} } 
}



/* _set-eval-global-value! */
obj_t BGl__setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t BgL_envz00_618, obj_t BgL_evalzd2globalzd2_619, obj_t BgL_valuez00_620)
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 164 */
{ 
int BgL_auxz00_744;
BgL_auxz00_744 = 
(int)(((long)2)); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_619,BgL_auxz00_744,BgL_valuez00_620);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00()
{ AN_OBJECT;
{ /* ./Eval/evenv.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)247), "__evenv");} 
}

